diff --git a/arch/arm/dts/meson-g12a-sei510.dts b/arch/arm/dts/meson-g12a-sei510.dts
index 81269ccc24..2a2ead9c98 100644
--- a/arch/arm/dts/meson-g12a-sei510.dts
+++ b/arch/arm/dts/meson-g12a-sei510.dts
@@ -13,7 +13,7 @@
 
 / {
 	compatible = "seirobotics,sei510", "amlogic,g12a";
-	model = "SEI Robotics SEI510";
+	model = "Armbian aml-s9xx-box u-boot s905x2";
 
 	adc_keys {
 		compatible = "adc-keys";
diff --git a/configs/sei510_defconfig b/configs/sei510_defconfig
index c4a49fbd6f..cdef6f4af1 100644
--- a/configs/sei510_defconfig
+++ b/configs/sei510_defconfig
@@ -14,31 +14,31 @@ CONFIG_DEFAULT_DEVICE_TREE="meson-g12a-sei510"
 CONFIG_OF_LIBFDT_OVERLAY=y
 CONFIG_DM_RESET=y
 CONFIG_MESON_G12A=y
-CONFIG_DEBUG_UART_BASE=0xff803000
-CONFIG_DEBUG_UART_CLOCK=24000000
-CONFIG_IDENT_STRING=" sei510"
+# CONFIG_DEBUG_UART_BASE is not set
+# CONFIG_DEBUG_UART_CLOCK is not set
+CONFIG_IDENT_STRING=" armbian-g12a"
 # CONFIG_PSCI_RESET is not set
 CONFIG_SYS_LOAD_ADDR=0x1000000
-CONFIG_DEBUG_UART=y
+# CONFIG_DEBUG_UART is not set
 CONFIG_REMAKE_ELF=y
 CONFIG_FIT=y
 CONFIG_FIT_SIGNATURE=y
 CONFIG_FIT_VERBOSE=y
 CONFIG_LEGACY_IMAGE_FORMAT=y
 CONFIG_OF_BOARD_SETUP=y
-CONFIG_USE_PREBOOT=y
-CONFIG_PREBOOT="run load_logo"
-# CONFIG_CONSOLE_MUX is not set
+# CONFIG_USE_PREBOOT is not set
+# CONFIG_PREBOOT is not set
+CONFIG_CONSOLE_MUX=y
 # CONFIG_DISPLAY_CPUINFO is not set
 CONFIG_MISC_INIT_R=y
-CONFIG_AVB_VERIFY=y
+# CONFIG_AVB_VERIFY is not set
 CONFIG_SYS_MAXARGS=32
 # CONFIG_CMD_BDI is not set
-CONFIG_CMD_ADTIMG=y
-CONFIG_CMD_ABOOTIMG=y
+# CONFIG_CMD_ADTIMG is not set
+# CONFIG_CMD_ABOOTIMG is not set
 # CONFIG_CMD_IMI is not set
 CONFIG_CMD_BCB=y
-CONFIG_CMD_DFU=y
+# CONFIG_CMD_DFU is not set
 CONFIG_CMD_GPIO=y
 CONFIG_CMD_GPT=y
 # CONFIG_CMD_LOADS is not set
@@ -48,18 +48,18 @@ CONFIG_CMD_USB_MASS_STORAGE=y
 # CONFIG_CMD_SETEXPR is not set
 CONFIG_CMD_BMP=y
 CONFIG_CMD_REGULATOR=y
-CONFIG_CMD_AVB=y
+# CONFIG_CMD_AVB is not set
 CONFIG_OF_CONTROL=y
 CONFIG_ENV_IS_IN_MMC=y
 CONFIG_SYS_RELOC_GD_ENV_ADDR=y
 CONFIG_SYS_MMC_ENV_DEV=2
 CONFIG_SYS_MMC_ENV_PART=1
-CONFIG_DFU_RAM=y
-CONFIG_USB_FUNCTION_FASTBOOT=y
-CONFIG_FASTBOOT_BUF_ADDR=0x6000000
-CONFIG_FASTBOOT_FLASH=y
-CONFIG_FASTBOOT_FLASH_MMC_DEV=2
-CONFIG_FASTBOOT_CMD_OEM_FORMAT=y
+# CONFIG_DFU_RAM is not set
+# CONFIG_USB_FUNCTION_FASTBOOT is not set
+# CONFIG_FASTBOOT_BUF_ADDR is not set
+# CONFIG_FASTBOOT_FLASH is not set
+# CONFIG_FASTBOOT_FLASH_MMC_DEV is not set
+# CONFIG_FASTBOOT_CMD_OEM_FORMAT
 # CONFIG_INPUT is not set
 CONFIG_MMC_MESON_GX=y
 CONFIG_DM_MDIO=y
@@ -73,8 +73,8 @@ CONFIG_POWER_DOMAIN=y
 CONFIG_MESON_EE_POWER_DOMAIN=y
 CONFIG_DM_REGULATOR=y
 CONFIG_DM_REGULATOR_FIXED=y
-CONFIG_DEBUG_UART_ANNOUNCE=y
-CONFIG_DEBUG_UART_SKIP_INIT=y
+# CONFIG_DEBUG_UART_ANNOUNCE is not set
+# CONFIG_DEBUG_UART_SKIP_INIT is not set
 CONFIG_MESON_SERIAL=y
 CONFIG_USB=y
 CONFIG_DM_USB_GADGET=y
@@ -100,4 +100,8 @@ CONFIG_VIDEO_BMP_RLE8=y
 CONFIG_BMP_16BPP=y
 CONFIG_BMP_24BPP=y
 CONFIG_BMP_32BPP=y
-CONFIG_LIBAVB=y
+# CONFIG_LIBAVB is not set
+CONFIG_CMD_BOOTEFI=y
+CONFIG_EFI_LOADER=y
+CONFIG_USB_KEYBOARD=y
+CONFIG_DISPLAY_BOARDINFO_LATE=y
diff --git a/include/configs/sei510.h b/include/configs/sei510.h
index ea91a06157..24fdc9c886 100644
--- a/include/configs/sei510.h
+++ b/include/configs/sei510.h
@@ -9,23 +9,6 @@
 #ifndef __CONFIG_H
 #define __CONFIG_H
 
-#define LOGO_UUID "43a3305d-150f-4cc9-bd3b-38fca8693846;"
-#define ROOT_UUID "ddb8c3f6-d94d-4394-b633-3134139cc2e0;"
-
-#define PARTS_DEFAULT \
-	"uuid_disk=${uuid_gpt_disk};" \
-	"name=logo,size=2M,uuid=" LOGO_UUID \
-	"name=misc,size=128K,uuid=${uuid_gpt_misc};" \
-	"name=dtbo,size=8M,uuid=${uuid_gpt_dtbo};" \
-	"name=vbmeta,size=64K,uuid=${uuid_gpt_vbmeta};" \
-	"name=boot,size=32M,bootable,uuid=${uuid_gpt_boot};" \
-	"name=recovery,size=32M,uuid=${uuid_gpt_recovery};" \
-	"name=cache,size=256M,uuid=${uuid_gpt_cache};" \
-	"name=super,size=2304M,uuid=${uuid_gpt_super};" \
-	"name=userdata,size=4820M,uuid=${uuid_gpt_userdata};" \
-	"name=rootfs,size=-,uuid=" ROOT_UUID
-
-
-#include <configs/meson64_android.h>
+#include <configs/meson64.h>
 
 #endif /* __CONFIG_H */
